VoxLink.ai

Leads

List leads

List all leads for the authenticated user with filtering and pagination options

Updated 27 July 2026

This endpoint allows you to list all leads belonging to the authenticated user with various filtering and pagination options.

Query Parameters

statusstring

Filter leads by status. Possible values: created, scheduled, processing, completed, rescheduled, reached-max-retries, blacklisted

campaign_idinteger

Filter leads by campaign ID

phone_numberstring

Filter leads by phone number (partial match supported)

date_fromstring

Filter leads created from this date (YYYY-MM-DD format)

date_tostring

Filter leads created until this date (YYYY-MM-DD format)

per_pageinteger

Number of leads per page (1-100, default: 15)

pageinteger

Page number (default: 1)

Response fields

dataarray

idinteger

  The id of the lead

campaign_idinteger

  The ID of the campaign this lead belongs to

phone_numberstring

  The phone number of the lead in E.164 format

variablesobject

  The variables associated with the lead

statusstring

  The status of the lead

fallback_sent_atstring

  When a call→text fallback was sent for this lead, or `null`

created_atstring

  The created at date of the lead

updated_atstring

  The updated at date of the lead

campaignobject

  The campaign information

idinteger

      The id of the campaign

namestring

      The name of the campaign

channelstring

      `call`, `whatsapp`, or `sms`

secondary_contactsarray

  Array of secondary contact leads associated with this lead

idinteger

      The id of the secondary contact lead

phone_numberstring

      The phone number of the secondary contact in E.164 format

variablesobject

      The variables associated with the secondary contact

statusstring

      The status of the secondary contact

created_atstring

      The created at date of the secondary contact

updated_atstring

      The updated at date of the secondary contact

current_pageinteger

The current page number

per_pageinteger

Number of items per page

totalinteger

Total number of leads matching the criteria

last_pageinteger

The last page number

{
  "current_page": 1,
  "data": [
    {
      "id": 1,
      "campaign_id": 1,
      "phone_number": "+1234567890",
      "variables": {
        "customer_name": "John Doe",
        "email": "john.doe@example.com"
      },
      "status": "created",
      "fallback_sent_at": null,
      "created_at": "2025-06-30 11:18:04",
      "updated_at": "2025-06-30 11:18:04",
      "campaign": {
        "id": 1,
        "name": "My new campaign",
        "channel": "call"
      },
      "secondary_contacts": [
        {
          "id": 2,
          "phone_number": "+1234567899",
          "variables": {
            "customer_name": "Jane Doe Secondary",
            "email": "jane.doe.secondary@example.com"
          },
          "status": "created",
          "created_at": "2025-06-30 11:18:04",
          "updated_at": "2025-06-30 11:18:04"
        }
      ]
    }
  ],
  "first_page_url": "https://app.voxlink.ai/api/user/leads?page=1",
  "from": 1,
  "last_page": 10,
  "last_page_url": "https://app.voxlink.ai/api/user/leads?page=10",
  "links": [
    {
      "url": null,
      "label": "« Previous",
      "active": false
    },
    {
      "url": "https://app.voxlink.ai/api/user/leads?page=1",
      "label": "1",
      "active": true
    },
    {
      "url": "https://app.voxlink.ai/api/user/leads?page=2",
      "label": "2",
      "active": false
    }
  ],
  "next_page_url": "https://app.voxlink.ai/api/user/leads?page=2",
  "path": "https://app.voxlink.ai/api/user/leads",
  "per_page": 15,
  "prev_page_url": null,
  "to": 15,
  "total": 150
}

Related guides